<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * This page is used to add and edit user records to give access to the site.
 * @package iHRIS
 * @subpackage Manage
 * @access public
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v2.0.0
 * @version v2.0.0
 * @see I2CE_User
 */

/**
 * Object to display the form to edit users in the database.
 * @package iHRIS
 * @subpackage Manage
 * @access public
 */
class iHRIS_PageFormUserManage extends iHRIS_PageFormUser {
        
    /**
     * Populate a drop down of users that can be edited by the current user given his/her access level.
     * @param I2CE_Template &$template
     * @param string $selectId
     * @global array
     */
    public function listUsersToEdit( &$template, $selectId ) {
        if ( $this->user->role == 'hr_manager' ) {
            $this->listUsersToEditByCreator($template,$selectId);
        } else {
            parent::listUsersToEdit( $template, $selectId );
        }
    }
 
}

            

# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
