<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @package iHRIS
 * @subpackage Manage
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v1.0.0
 * @version v2.0.0
 */
/**
 * Object for dealing with languages for people.
 * 
 * @package iHRIS
 * @subpackage Manage
 * @access public
 */
class iHRIS_PersonLanguage extends I2CE_Form {

    /**
     * Constant value for elementary language proficiency.
     */
    const PROF_ELEMENTARY = 1;
    /**
     * Constant value for limited working language proficiency.
     */
    const PROF_LIMITED = 2;
    /**
     * Constant value for professional working language proficiency.
     */
    const PROF_PROFESSIONAL = 3;
    /**
     * Constant value for full professional language proficiency.
     */
    const PROF_FULL_PROFESSIONAL = 4;
    /**
     * Constant value for fluent language proficiency.
     */
    const PROF_FLUENT = 5;
    /**
     * @var array The list of contact types.
     */
    static private $proficiencies = array( self::PROF_ELEMENTARY => 'Elementary', self::PROF_LIMITED => 'Limited Working',
                                           self::PROF_PROFESSIONAL => 'Professional Working', self::PROF_FULL_PROFESSIONAL => 'Full Professional',
                                           self::PROF_FLUENT => 'Fluent' );



    /**
     * Lookup the given value from the proficiencies array.
     * @param integer $id
     * @param string $form Not used for this method.
     * @return string
     */
    static public function lookup( $id, $form="" ) {
        return I2CE_Form::lookupArray( $id, self::$proficiencies );
    }
    /**
     * List all the options from the proficiencies array.
     * @param string $form The  form we wish to lookup by
     * @returns array
     */
    static public function listOptions($form) {
        return self::$proficiencies ;
    }
       
}

# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
