<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @package iHRIS
 * @subpackage Manage
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v2.0.0
 * @version v2.0.0
 */
/**
 * Object for dealing with selecting positions for a drop down.
 * 
 * This object is based on the normal positions but only includes the status and id so that
 * the position select page can limit choices based on the current status.
 * @package iHRIS
 * @subpackage Manage
 * @access public
 */
class iHRIS_PositionSelect extends I2CE_List {

    /**
     * The main field name used for display a description of a record.
     */
    const MAIN_FIELD = "code";
    /**
     * The secondary field name used for displaying a description of a record in combination with the MAIN_FIELD.
     */
    const SEC_FIELD = "title";

    /**
     * Create a new instance of a position.
     * 
     * @param integer $id
     * @param boolean $for_discontinue Set to true to only create the status field so it can be discontinued.
     */
    public function __construct( $form, $id = 0 ) {
        parent::__construct( $form, $id );
        //$this->setDisplayName( "Position Select" );
        $this->fields['status']->setValue( 1 );
        $this->fields['type']->setValue( "position" );
                                
    }
        
}

# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
