<?php
/*
 * © Copyright 2007, 2008 IntraHealth International, Inc.
 * 
 * This File is part of iHRIS
 * 
 * iHRIS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * @package iHRIS
 * @subpackage Manage
 * @author Luke Duncan <lduncan@intrahealth.org>
 * @copyright Copyright &copy; 2007, 2008 IntraHealth International, Inc. 
 * @since v1.0.0
 * @version v2.0.0
 */
/**
 * Object for dealing with applicants.
 * 
 * @package iHRIS
 * @subpackage Manage
 * @access public
 */
class iHRIS_Applicant extends I2CE_Form {


    /**
     * Checks to make sure all the required fields are valid.
     * @param I2CE_Template &$page
     */
    public function validate( &$page ) {
        parent::validate( $page );
        if ( $this->felony == 1 && !I2CE_Validate::checkString( $this->felony_circumstance ) ) {
            $page->setFormInvalid( $this->getField('felony_circumstance')->getHTMLName(), "You selected you were convicted of a felony but didn't describe the circumstances." );
        }
        if ( $this->full_time == 0 && !I2CE_Validate::checkString( $this->hours ) ) {
            $page->setFormInvalid( $this->getField('hours')->getHTMLName(), "You selected not full time, but you didn't give what hours you are available." );
        }
        
    }
    
    /**
     * Remove the given position from the list of positions for this application.
     * @param integer $position
     */
    public function removePosition( $position ) {
        if ( $position == "all" ) {
            $this->position = array();
        } else {
            $tmp_position = $this->position;
            $key = array_search( $position, $tmp_position );
            if ( $key !== false ) {
                unset( $tmp_position[$key] );
            }
            $this->position = $tmp_position;
        }
    }
                
}

# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
